using Edu.Common.Enum.User;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{

    /// <summary>
    /// rb_workflow_travel Entity
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class Rb_Workflow_Travel
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 所属出差id
        /// </summary>        
        public int? EvectionId
        {
            get;
            set;
        }
        /// <summary>
        /// 1飞机  2 火车  3 汽车  4 其他
        /// </summary>        
        public TravelVehicleEnum? Vehicle
        {
            get;
            set;
        }
        /// <summary>
        /// 1 单程  2 往返
        /// </summary>        
        public TravelVehicleTypeEnum? Type
        {
            get;
            set;
        }
        /// <summary>
        /// 出发城市
        /// </summary>             
        public string DepartCity
        {
            get;
            set;
        }
        /// <summary>
        /// 目的地城市
        /// </summary>    
        public string DestinationCity
        {
            get;
            set;
        }
        /// <summary>
        /// 开始时间
        /// </summary> 
        public DateTime? StartTime
        {
            get;
            set;
        }
        /// <summary>
        /// 结束时间
        /// </summary>   
        public DateTime? EndTime
        {
            get;
            set;
        }
        /// <summary>
        /// 时长
        /// </summary> 
        public double? Duration
        {
            get;
            set;
        }
        /// <summary>
        /// 排序
        /// </summary>        
        public int? Sort
        {
            get;
            set;
        }
    }
}